import request from '@/utils/request'

// 查询员工打卡记录列表
export function listRecordStaffAttendance(query) {
  return request({
    url: '/mes/record/recordStaffAttendance/list',
    method: 'get',
    params: query
  })
}

// 查询员工打卡记录详细
export function getRecordStaffAttendance(objId) {
  return request({
    url: '/mes/record/recordStaffAttendance/' + objId,
    method: 'get'
  })
}

// 新增员工打卡记录
export function addRecordStaffAttendance(data) {
  return request({
    url: '/mes/record/recordStaffAttendance',
    method: 'post',
    data: data
  })
}

// 修改员工打卡记录
export function updateRecordStaffAttendance(data) {
  return request({
    url: '/mes/record/recordStaffAttendance',
    method: 'put',
    data: data
  })
}

// 删除员工打卡记录
export function delRecordStaffAttendance(objId) {
  return request({
    url: '/mes/record/recordStaffAttendance/' + objId,
    method: 'delete'
  })
}
